> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sub-Accounts

> List all available sub-accounts.



## OpenAPI

````yaml get /sub-accounts/
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /sub-accounts/:
    get:
      tags:
        - Sub Accounts
      summary: List All
      description: List all available sub-accounts.
      operationId: getSubAccounts
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/sub-account'
              example:
                data:
                  - $ref: '#/components/examples/sub-account-example'
        '403':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    sub-account:
      type: object
      properties:
        id:
          type: integer
          example: 1
        user_id:
          type: integer
          example: 2
        title:
          type: string
          example: My Sub Account
        return_name:
          type: string
          example: John Smith
        return_address:
          type: string
          example: 123 Smith Street
        return_address2:
          type: string
          example: Apartment 2
        return_city:
          type: string
          example: Denver
        return_state:
          type: string
          example: CO
        return_postal_code:
          type: string
          example: '12345'
  responses:
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````